<?php
/**
 * @category   Alogic
 * @package    Alogic_CustomerSurvery
 * @author     dushyanta.joshi@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\CustomerSurvery\Block;

/**
 * CustomerSurvery content block
 */
class CustomerSurvery extends \Magento\Framework\View\Element\Template
{
    public $directoryBlock;
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Magento\Directory\Block\Data $directoryBlock 
    ) {
        $this->directoryBlock = $directoryBlock;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Visitors'));
        
        return parent::_prepareLayout();
    }
    public function getCountries()
    {
        $country = $this->directoryBlock->getCountryHtmlSelect(null, 'country','country');
        return $country;
    }
}
